<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 8pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    
            @page{
                margin: 35px;
                /* ensure you append the header/footer name with 'html_' */
                header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
                footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */}
            </style>
        </head>
        <body>
            <?php
            ini_set("max_execution_time", 500);
            if (!function_exists('kekata')) {

                function kekata($x) {
                    $x = abs($x);
                    $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                        "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                    $temp = "";
                    if ($x < 12) {
                        $temp = " " . $angka[$x];
                    } else if ($x < 20) {
                        $temp = kekata($x - 10) . " Belas";
                    } else if ($x < 100) {
                        $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                    } else if ($x < 200) {
                        $temp = " Seratus" . kekata($x - 100);
                    } else if ($x < 1000) {
                        $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                    } else if ($x < 2000) {
                        $temp = " Seribu" . kekata($x - 1000);
                    } else if ($x < 1000000) {
                        $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                    } else if ($x < 1000000000) {
                        $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                    } else if ($x < 1000000000000) {
                        $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                    } else if ($x < 1000000000000000) {
                        $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                    }
                    return $temp;
                }

            }

            function terbilang($x, $style = 4) {
                if ($x < 0) {
                    $hasil = "MINUS " . trim(kekata($x));
                } else {
                    $hasil = trim(kekata($x));
                }
                switch ($style) {
                    case 1:
                        $hasil = strtoupper($hasil);
                        break;
                    case 2:
                        $hasil = strtolower($hasil);
                        break;
                    case 3:
                        $hasil = ucwords($hasil);
                        break;
                    default:
                        $hasil = ucfirst($hasil);
                        break;
                }
                return $hasil;
            }
            ?>
            <div style="position:absolute;top:40px;left:40px"><img src="<?= $ar_pemda->s_logo ?>" width="70"></div>
        <table cellspacing="4" cellpadding="4" class="border_atas border_bawah border_kanan border_kiri" style="width: 100%;font-family:sans-serif;border-bottom: 4px double black;">
            <tr>
                <td colspan="2" align="center">
                    <div style='width: 100%;font-family:sans-serif;text-align: center;'>
                        <strong style=" font-size: 12pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                        <strong style=" font-size: 14pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                        <strong style=" font-size: 13pt; ">SURAT TANDA SETORAN</strong><br>
                        <span>BANK SUMSEL CABANG KAYUAGUNG</span>
                    </div>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri" style="width: 100%;font-family:sans-serif;font-size: 9pt;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px;">
                    STS No. <?= $dataheader['t_nosbh'] ?><br>
                    Harap diterima uang sebesar Rp. <?= number_format($jmlhsetorannya, 0, ',', '.') ?><br>    
                    dengan huruf (#<?= terbilang($jmlhsetorannya) ?> Rupiah#)<br><br>
                    Yaitu : Penyetoran Pajak dan Retribusi ke Kas PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri" style="width: 100%;font-family:sans-serif;">
            <tr style="text-align: center">
                <td class="border_kanan border_kiri">
                    <table cellpadding="4" cellspacing="4" style="margin-left: 15px; margin-right: 15px; border: 1px solid black; border-collapse: collapse; width: 100%; margin-bottom: 10px;font-family:sans-serif;">
                        <tr>
                            <th style="width: 5%; border: 1px solid black; border-collapse: collapse; text-align: center">
                                NO.
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center;width: 20%;">
                                KODE REKENING
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                URAIAN
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center;width: 25%;">
                                JUMLAH (Rp.)
                            </th>
                        </tr>
                        <?php
                        $i = 1;
                        $jmlhsetoran = 0;
                        foreach ($datadetail as $row) {
                            ?>
                            <tr>
                                <td style="text-align: center; border: 1px solid black; border-collapse: collapse">
                                    <?= $i++ ?>
                                </td>
                                <td style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                    <?= $row['korek'] ?>
                                </td>
                                <td style="border: 1px solid black; border-collapse: collapse;">
                                    <?= $row['s_namakorek'] ?>
                                </td>
                                <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                    <?= number_format($row['t_jmlhsbd'], 0, ',', '.') ?>
                                </td>
                            </tr>
                            <?php
                            $jmlhsetoran += $row['t_jmlhsbd'];
                        }
                        ?>
                        <tr>
                            <td style="text-align: right; border: 1px solid black; border-collapse: collapse" colspan="3">
                                <b>Jumlah</b>
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                Rp. <b><?= number_format($jmlhsetoran, 0, ',', '.') ?></b>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri" style="width: 100%;font-family:sans-serif;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px;">
                    Uang tersebut telah diterima : <br>
                    Sejumlah Rp. <?= number_format($jmlhsetoran, 0, ',', '.') ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri" style="width: 100%;font-family:sans-serif;">
            <tr>
                <td style="width: 35%; text-align: center; padding-top: 10px">

                </td>
                <td style="width:30%; text-align: center; padding-top: 10px"></td>
                <td style="width:35%; text-align: center; padding-top: 10px">
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= date('d-m-Y') ?>
                </td>
            </tr>
            <tr>
                <td style="text-align: center;">
                    Mengetahui
                </td>
                <td style="text-align: center">Pemegang Kas</td>
                <td style="text-align: center">
                    Diperksa Oleh,
                </td>
            </tr>
            <tr>
                <td style="text-align: center">
                    <?= strtoupper($ar_mengetahui->s_jabatanpej) ?>
                    <br>
                    <br>
                    <br>
                    <br>
                    <?= $ar_mengetahui->s_namapej ?>
                </td>
                <td style="text-align: center">
                    <br>
                    <br>
                    <br>
                    <br>
                    ( ---------------------------------- )</td>
                <td style="text-align: center">
                    <?= strtoupper($ar_diperiksa->s_jabatanpej) ?>
                    <br>
                    <br>
                    <br>
                    <br>
                    <?= $ar_diperiksa->s_namapej ?>
                </td>
            </tr>
            <tr>
                <td style="text-align: center">
                    NIP. <?= $ar_mengetahui->s_nippej ?>
                </td>
                <td style="text-align: center"></td>
                <td style="text-align: center">
                    NIP. <?= $ar_diperiksa->s_nippej ?>
                </td>
            </tr>
        </table>



    <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
</body>
</html>